Update application metadata
Updates webBotAppId, webBotDetails, and theme. Other application properties are read-only. Returns the updated application metadata.
Required Roles
Service Administrator
REST Resource
POST /HyperionPlanning/rest/v3/applications/{appname}
Request
Parameters:
Table 3-11 Request Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
appname
|
The name of the application. | path | Yes | None |
webBotAppId
|
The identifier of the web bot application. | payload | No; see conditional requirements | None |
webBotDetails
|
The web bot configuration, expressed as a JSON string. | payload | No; see conditional requirements | None |
theme
|
The display theme used by the application. | payload | No; see conditional requirements | None |
Send a required request body with Content-Type: application/json.
Writable application metadata. Other application properties are read-only.
The payload rows describe the fields in the following request examples. Other supported options and conditional requirements are described above.
Example request body:
{
"webBotAppId": "planning-assistant",
"webBotDetails": "{\"channel\":\"web\"}",
"theme": "Redwood"
}
Example URL
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision
Response
Supported Media Types: application/json
Table 3-12 Response Parameters
| Name | Description |
|---|---|
name
|
The name of the application. |
type
|
The type of the returned resource. |
dpEnabled
|
Indicates whether decision packages are enabled for the application. |
unicode
|
Indicates whether the application supports Unicode. |
appStorage
|
The storage type of the application. |
appType
|
The business process type of the application. |
theme
|
The display theme used by the application. |
adminMode
|
Indicates whether application access is restricted to administrators. |
Sample Response
The following shows an example response.
{
"name": "FFApp4",
"type": "Planning",
"dpEnabled": false,
"unicode": true,
"appStorage": "Relational",
"appType": "OPRPLAN",
"theme": "Redwood",
"adminMode": true
}